# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'chickadee/version'

Gem::Specification.new do |spec|
  spec.name          = "chickadeex"
  spec.version       = Chickadee::VERSION
  spec.authors       = ["Erik Lott"]
  spec.email         = ["erik.lott@evrium.com"]
  spec.description   = %q{Minimal domain driven design library}
  spec.summary       = %q{Minimal domain driven design library}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "iocx", "~> 6.5.1"
  spec.add_dependency "rack", "~> 2.2.3"
  spec.add_dependency "hanami-router", "~> 1.3.2"

  spec.add_development_dependency "bundler", "~> 2.1.4"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "minitest", "~> 5.14.1"
end